Subject: RE: Issue 3: PANA SA

From: <[email-masked]>
Date: Mon, 23 Jun 2003 18:19:47 +0300

Are there new protocols that nail down security algorithms? I guess it is not a good approach. Negotiation can be seen as a security threat too (downgrading attack), but it's important for backwards compatibility (in the future).

- Dan

> -----Original Message-----
> From: ext Yoshihiro Ohba [mailto:[email-masked]]
> Sent: 23 June, 2003 17:20
> To: Forsberg Dan (NRC/Helsinki)
> Cc: [email-masked]; [email-masked]
> Subject: Re: Issue 3: PANA SA
> 
> 
> On Mon, Jun 23, 2003 at 02:00:30PM +0300, 
> [email-masked] wrote:
> > > I also updated key derivation expression based on the 
> fact that the
> > > default MAC algorithm is HMAC-SHA1 which needs 160-bit key length.
> > > (Issue: do we need to support multiple MAC algorithms?)
> > 
> > The message format proposal has two types: HMAC-MD5 and 
> HMAC-SHA1. I guess these things should have their own types 
> so that new algorithms can be used in the future more easily. 
> 
> When HMAC-MD5 is used, just using the first 128-bit of the 160-bit
> derived key as the HMAC-MD key should work.
> 
> Another issue is how one of these algorithms is selected,
> pre-configuration or negotiation?  If the latter is the case, we need
> to specify how the negotiation is performed in PANA.
> 
> Thanks,
> Yoshihiro Ohba
> 
>